=== debian/changelog ===
ssh-tpm-agent (0.8.0-2) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years
  * Drop newgateway pipeline

 -- Simon Josefsson <simon@josefsson.org>  Fri, 13 Feb 2026 11:12:12 +0100

ssh-tpm-agent (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: 1082814)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 04 Dec 2025 22:55:28 +0100
