=== debian/control ===
Source: ssh-tpm-agent
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 asciidoctor <!nodoc>,
 golang-any,
 golang-github-awnumar-memcall-dev,
 golang-github-coreos-go-oidc-v3-dev,
 golang-github-foxboron-go-tpm-keyfiles-dev,
 golang-github-google-go-tpm-dev,
 golang-github-landlock-lsm-go-landlock-dev,
 golang-github-pkg-browser-dev,
 golang-github-segmentio-ksuid-dev,
 golang-github-sigstore-sigstore-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-oauth2-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-term-dev,
 golang-golang-x-text-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/ssh-tpm-agent
Vcs-Git: https://salsa.debian.org/go-team/packages/ssh-tpm-agent.git
Homepage: https://github.com/foxboron/ssh-tpm-agent
XS-Go-Import-Path: github.com/foxboron/ssh-tpm-agent

Package: ssh-tpm-agent
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: ssh-agent for TPMs (program)
 SSH agent for TPM
 .
 ssh-tpm-agent is a ssh-agent compatible agent that allows keys to be
 created by the Trusted Platform Module (TPM) for authentication towards
 ssh servers.
 .
 TPM sealed keys are private keys created inside the Trusted Platform
 Module (TPM) and sealed in .tpm suffixed files. They are bound to the
 hardware they are produced on and can't be transferred to other
 machines.
 .
 This allows you to utilize a native client instead of having to side
 load existing PKCS11 libraries into the ssh-agent and/or ssh client.
 .
 The project uses TPM 2.0 Key Files
 (https://www.hansenpartnership.com/draft-bottomley-tpm2-keys.html)
 implemented through the go-tpm-keyfiles (https://github.com/Foxboron/go-tpm-
 keyfiles) project.
 .
 Features
 .
  * A working ssh-agent.
  * Create shielded ssh keys on the TPM.
  * Creation of remotely wrapped SSH keys for import.
  * PIN support, dictionary attack protection from the TPM allows you to
    use low entropy PINs instead of passphrases.
  * TPM session encryption.
  * Proxy support towards other ssh-agent servers for fallbacks.
 .
 This package contains the command-line tools.

Package: golang-github-foxboron-ssh-tpm-agent-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-awnumar-memcall-dev,
 golang-github-coreos-go-oidc-v3-dev,
 golang-github-foxboron-go-tpm-keyfiles-dev,
 golang-github-google-go-tpm-dev,
 golang-github-landlock-lsm-go-landlock-dev,
 golang-github-pkg-browser-dev,
 golang-github-segmentio-ksuid-dev,
 golang-github-sigstore-sigstore-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-oauth2-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-term-dev,
 golang-golang-x-text-dev,
 ${misc:Depends},
Description: Go ssh-agent for TPMs (library)
 ssh-tpm-agent is a ssh-agent compatible agent that allows keys to be
 created by the Trusted Platform Module (TPM) for authentication towards
 ssh servers.
 .
 This package contains the development library.
