=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export DH_GOLANG_INSTALL_EXTRA := contrib/services contrib/sshd

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build: # debian/README.source
	cp -vr $(CURDIR)/debian/local/ssh-tpm-ca-authority/ _build/src/github.com/foxboron/

M = $(CURDIR)/debian/tmp/usr/share/man/man1
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	$(MAKE) man VERSION=$(DEB_VERSION)
	mkdir -pv $(M)
	mv -v man/*.1 $(M)/
endif

execute_before_dh_auto_test:
# src/github.com/foxboron/ssh-tpm-agent/agent/agent_test.go:19:2: cannot find package "github.com/google/go-tpm/tpm2/transport/simulator" in any of:
	rm -fv $(CURDIR)/_build/src/github.com/foxboron/ssh-tpm-agent/agent/agent_test.go
# 2025/11/26 11:56:42 GetFixedSim disabled by Debian
	rm -fv $(CURDIR)/_build/src/github.com/foxboron/ssh-tpm-agent/cmd/scripts_test.go
# src/github.com/foxboron/ssh-tpm-agent/cmd/ssh-tpm-agent/main_test.go:21:2: cannot find package "github.com/google/go-tpm/tpm2/transport/simulator" in any of:
	rm -fv $(CURDIR)/_build/src/github.com/foxboron/ssh-tpm-agent/cmd/ssh-tpm-agent/main_test.go
# src/github.com/foxboron/ssh-tpm-agent/key/hierarchy_keys_test.go:14:2: cannot find package "github.com/google/go-tpm/tpm2/transport/simulator" in any of:
	rm -fv $(CURDIR)/_build/src/github.com/foxboron/ssh-tpm-agent/key/hierarchy_keys_test.go
# keyring_test.go:37: err: no such file or directory
	rm -fv $(CURDIR)/_build/src/github.com/foxboron/ssh-tpm-agent/internal/keyring/keyring_test.go
# threadkeyring_test.go:45: err: no such file or directory
	rm -fv $(CURDIR)/_build/src/github.com/foxboron/ssh-tpm-agent/internal/keyring/threadkeyring_test.go
# I: golang-github-foxboron-ssh-tpm-agent-dev: package-contains-documentation-outside-usr-share-doc
	rm -fv $(CURDIR)/_build/src/github.com/foxboron/ssh-tpm-agent/testdata/script/*.txt
