=== debian/watch ===
Version: 5
Template: Github
Owner: foxboron
Project: ssh-tpm-agent
